Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum ViewmapLayoutType

    java.lang.Object
      java.lang.Enum<ViewmapLayoutType>
          org.eclipse.gmf.codegen.gmfgen.ViewmapLayoutType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ViewmapLayoutType>, org.eclipse.emf.common.util.Enumerator

    public enum ViewmapLayoutType

extends java.lang.Enum<ViewmapLayoutType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Viewmap Layout Type', and utility methods for working with them.

See Also:
  `GMFGenPackage.getViewmapLayoutType()`
** Generated **
Model:

Enum Constant Summary
`FLOW_LAYOUT_LITERAL` The 'FLOW LAYOUT' literal object
`TOOLBAR_LAYOUT_LITERAL` The 'TOOLBAR LAYOUT' literal object
`UNKNOWN_LITERAL` The 'UNKNOWN' literal object
`XY_LAYOUT_LITERAL` The 'XY LAYOUT' literal object

Field Summary
`static int` `FLOW_LAYOUT` The 'FLOW LAYOUT' literal value
`static int` `TOOLBAR_LAYOUT` The 'TOOLBAR LAYOUT' literal value
`static int` `UNKNOWN` The 'UNKNOWN' literal value
`static java.util.List<ViewmapLayoutType>` `VALUES` A public read-only list of all the 'Viewmap Layout Type' enumerators
`static int` `XY_LAYOUT` The 'XY LAYOUT' literal value

Method Summary
`static ViewmapLayoutType` `get(int value)` Returns the 'Viewmap Layout Type' literal with the specified integer value
`static ViewmapLayoutType` `get(java.lang.String literal)` Returns the 'Viewmap Layout Type' literal with the specified literal value
`static ViewmapLayoutType` `getByName(java.lang.String name)` Returns the 'Viewmap Layout Type' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ViewmapLayoutType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ViewmapLayoutType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN_LITERAL

    public static final ViewmapLayoutType UNKNOWN_LITERAL

  The 'UNKNOWN' literal object.

  See Also:
    `UNKNOWN`
  ** Generated **
  Ordered:

### XY_LAYOUT_LITERAL

    public static final ViewmapLayoutType XY_LAYOUT_LITERAL

  The 'XY LAYOUT' literal object.

  See Also:
    `XY_LAYOUT`
  ** Generated **
  Ordered:

### FLOW_LAYOUT_LITERAL

    public static final ViewmapLayoutType FLOW_LAYOUT_LITERAL

  The 'FLOW LAYOUT' literal object.

  See Also:
    `FLOW_LAYOUT`
  ** Generated **
  Ordered:

### TOOLBAR_LAYOUT_LITERAL

    public static final ViewmapLayoutType TOOLBAR_LAYOUT_LITERAL

  The 'TOOLBAR LAYOUT' literal object.

  See Also:
    `TOOLBAR_LAYOUT`
  ** Generated **
  Ordered:

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  The 'UNKNOWN' literal value.

  If the meaning of 'UNKNOWN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNKNOWN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### XY_LAYOUT

    public static final int XY_LAYOUT

  The 'XY LAYOUT' literal value.

  If the meaning of 'XY LAYOUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `XY_LAYOUT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### FLOW_LAYOUT

    public static final int FLOW_LAYOUT

  The 'FLOW LAYOUT' literal value.

  If the meaning of 'FLOW LAYOUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FLOW_LAYOUT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### TOOLBAR_LAYOUT

    public static final int TOOLBAR_LAYOUT

  The 'TOOLBAR LAYOUT' literal value.

  If the meaning of 'TOOLBAR LAYOUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TOOLBAR_LAYOUT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<ViewmapLayoutType> VALUES

  A public read-only list of all the 'Viewmap Layout Type' enumerators.

  ** Generated **

Method Detail

### values

    public static final ViewmapLayoutType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ViewmapLayoutType c : ViewmapLayoutType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ViewmapLayoutType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ViewmapLayoutType get(java.lang.String literal)

  Returns the 'Viewmap Layout Type' literal with the specified literal value.

  ** Generated **

### getByName

    public static ViewmapLayoutType getByName(java.lang.String name)

  Returns the 'Viewmap Layout Type' literal with the specified name.

  ** Generated **

### get

    public static ViewmapLayoutType get(int value)

  Returns the 'Viewmap Layout Type' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ViewmapLayoutType>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.